| QxOrm 1.5.0 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes
qx::validator_error Class Reference
QxValidator : QxOrm library validation engine using validator pattern

qx::validator_error : define a validator error exception (for example, inserting or updating an element into database) and retrieve list of invalid values More...

`#include <QxValidatorError.h>`

List of all members.

## Public Member Functions
| validator_error (const QxInvalidValueX &err)
virtual | ~validator_error () throw ()
virtual const char * | what () const throw ()
QxInvalidValueX | get () const
## Private Attributes
QxInvalidValueX | m_lstInvalidValues

## Detailed Description

qx::validator_error : define a validator error exception (for example, inserting or updating an element into database) and retrieve list of invalid values

For more informations about QxValidator module, goto the FAQ of QxOrm website : https://www.qxorm.com/qxorm_en/faq.html#faq_250

Definition at line 60 of file QxValidatorError.h.

## Constructor & Destructor Documentation

qx::validator_error::validator_error | ( | const QxInvalidValueX & | err | ) | `[inline]`

Definition at line 69 of file QxValidatorError.h.

virtual qx::validator_error::~validator_error | ( |  | ) | throw ()`[inline, virtual]`

Definition at line 70 of file QxValidatorError.h.

## Member Function Documentation

QxInvalidValueX qx::validator_error::get | ( |  | ) | const`[inline]`

Definition at line 75 of file QxValidatorError.h.

virtual const char* qx::validator_error::what | ( |  | ) | const throw ()`[inline, virtual]`

Definition at line 72 of file QxValidatorError.h.

## Member Data Documentation

QxInvalidValueX qx::validator_error::m_lstInvalidValues`[private]`

Definition at line 65 of file QxValidatorError.h.

The documentation for this class was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxValidator/QxValidatorError.h